Index: branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90
===================================================================
--- branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 5600)
+++ branches/2014/dev_r4650_UKMO14.12_STAND_ALONE_OBSOPER/NEMOGCM/NEMO/OPA_SRC/CRS/crsfld.F90	(revision 6043)
@@ -11,18 +11,19 @@
    !!                       other variables needed to be passed to TOP
    !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and tracers 
-   USE dom_oce         ! ocean space and time domain
-   USE ldftra_oce      ! ocean active tracers: lateral physics
-   USE sbc_oce         ! Surface boundary condition: ocean fields
-   USE zdf_oce         ! vertical  physics: ocean fields
-   USE zdfddm          ! vertical  physics: double diffusion
-   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE in_out_manager  ! I/O manager
-   USE timing          ! preformance summary
-   USE wrk_nemo        ! working array
    USE crs
    USE crsdom
    USE crslbclnk
-   USE iom
+   USE oce             ! ocean dynamics and tracers 
+   USE dom_oce         ! ocean space and time domain
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE zdf_oce         ! vertical  physics: ocean fields
+   USE ldftra          ! ocean active tracers: lateral diffusivity & EIV coefficients
+   USE zdfddm          ! vertical  physics: double diffusion
+   !
+   USE in_out_manager  ! I/O manager
+   USE iom             ! 
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE timing          ! preformance summary
+   USE wrk_nemo        ! working array
 
    IMPLICIT NONE
@@ -30,5 +31,4 @@
 
    PUBLIC   crs_fld                 ! routines called by step.F90
-
 
    !! * Substitutions
@@ -37,5 +37,5 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OPA 3.7 , NEMO Consortium (2015)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -56,24 +56,20 @@
       !! ** Method  :  
       !!----------------------------------------------------------------------
-      !!
-      
-      INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
-      !!
-      INTEGER               ::   ji, jj, jk              ! dummy loop indices
-      !!
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zfse3t, zfse3u, zfse3v, zfse3w ! 3D workspace for e3
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zt, zs 
-      REAL(wp), POINTER, DIMENSION(:,:,:) :: zt_crs, zs_crs !
-      REAL(wp)       :: z2dcrsu, z2dcrsv
-      !!
-       !!----------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step index
+      !
+      INTEGER  ::   ji, jj, jk        ! dummy loop indices
+      REAL(wp) ::   z2dcrsu, z2dcrsv  ! local scalars
+      !
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zfse3t, zfse3u, zfse3v, zfse3w   ! 3D workspace for e3
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zt, zt_crs
+      REAL(wp), POINTER, DIMENSION(:,:,:) ::   zs, zs_crs  
+      !!----------------------------------------------------------------------
       ! 
-
       IF( nn_timing == 1 )   CALL timing_start('crs_fld')
 
       !  Initialize arrays
-      CALL wrk_alloc( jpi, jpj, jpk, zfse3t, zfse3w )
-      CALL wrk_alloc( jpi, jpj, jpk, zfse3u, zfse3v )
-      CALL wrk_alloc( jpi, jpj, jpk, zt, zs       )
+      CALL wrk_alloc( jpi,jpj,jpk,   zfse3t, zfse3w )
+      CALL wrk_alloc( jpi,jpj,jpk,   zfse3u, zfse3v )
+      CALL wrk_alloc( jpi,jpj,jpk,   zt    , zs     )
       !
       CALL wrk_alloc( jpi_crs, jpj_crs, jpk, zt_crs, zs_crs )
@@ -169,5 +165,5 @@
       CALL iom_put( "eken", rke_crs )
 
-      !  Horizontal divergence ( following OPA_SRC/DYN/divcur.F90 ) 
+      !  Horizontal divergence ( following OPA_SRC/DYN/divhor.F90 ) 
       DO jk = 1, jpkm1
          DO ji = 2, jpi_crsm1
